[Overview][Types][Classes][Variables][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTreeNode.Successor

Succeeding node in the tree

## Declaration

Source position: avl_tree.pp line 48

`public function TAVLTreeNode.Successor: TAVLTreeNode;`

## Function result

The sucessor node

## Description

Successor calculates and return the succeeding (right) node in the tree. For the last node, Nil is returned.

## See also

TAVLTreeNode.Precessor |  | Preceding node in the tree